#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-ECeiWOhV3hKDbm8F15KZLH
key:                  ghcide-1.9.1.0-ECeiWOhV3hKDbm8F15KZLH
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  eb5a5997129f8c1c590faa5bf295c03f
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-ECeiWOhV3hKDbm8F15KZLH
depends:
    Diff-0.4.1-50MuzI5ZEFT2Sx89qTlZ65
    Glob-0.10.2-GOl2u6nbtf52CGpbJCOCg2
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA
    aeson-pretty-0.8.9-KttgQ8rXKmEDcWqxIwOqe1 array-0.5.4.0
    async-2.2.5-15OfoiZvWuqFJ47Bsyq43l base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2 binary-0.8.8.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-KKXIEQ4fQgwEbrnlXSjc1G
    co-log-core-0.3.2.1-4CAXk4KPjbUDsClhVyQukj containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-C9uq1sTK1sbBwe0Rq0s3fV
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv deepseq-1.4.5.0
    dependent-map-0.4.0.0-BtE5DIkp07nDdGDvdOuXKt
    dependent-sum-0.7.2.0-FNniszad6OR3o7PeeL65VA directory-1.3.6.2
    dlist-1.0-Ge5E4TM9DngAWe8aSUgFvB
    enummapset-0.7.2.0-Kuh4y1LIjxuEotnTrnd89F exceptions-0.10.4
    extra-1.7.14-E0Vd3mK76yeChjxyVVp3Nf filepath-1.4.2.1
    fingertree-0.1.5.0-F3W7XVVWAqK5RzCXUB3LxT
    focus-1.0.3.2-GZ0g4CskZI2Ijpat4sniOo ghc-9.0.2 ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.8-FD8c2Vb8uvILcLdKhWeaWB
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.7-KqL0Q6Rsn8A7qIYdrbRLC8
    haddock-library-1.10.0-6C5QNPms98R6itphIywdCv
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    hie-bios-0.11.0-8gJfux730b7Iqhfdp8oXrA
    hie-compat-0.3.0.0-HtRpwVRm0jbBmBGDkwMYdm
    hiedb-0.4.2.0-CYARxHnphFaLZh0iKSvH3P
    hls-graph-1.9.0.0-y4JcBWv8Er1isi3zIlcLp
    hls-plugin-api-1.6.0.0-4TsFSWq6OPA51XOmU3SPZZ
    hslogger-1.3.1.0-CrvBSOH5FhxEg63UdGgFXg
    implicit-hie-0.1.2.7-b5uW2umc3J9s7s7Per3GG
    implicit-hie-cradle-0.3.0.5-50KKsJPnVTAKe7Y7HD1kkE
    lens-5.2.3-C6rN0cGlCsvJR5IO9scZ1s
    list-t-1.0.5.4-FzQGGrmGxKTAeABCEnVrkM
    lsp-1.6.0.0-2iWbi0wH1g8cUKC0kYQAl
    lsp-types-1.6.0.0-3AdsAYTLRkxAl1UmAaz8G4 mtl-2.2.2
    opentelemetry-0.8.0-Djihez204tw5bKy4w0Yye8
    optparse-applicative-0.17.1.0-2LmfOaibC5IAc1E2vSZNkZ
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-7kytBxFAg8kIPJJstNahcA
    prettyprinter-ansi-terminal-1.1.3-9s3Q6f2UHPBD4zcqC9xHC0
    random-1.2.1.1-BxaVw6mUjjQHmGxFEtiVFu
    regex-tdfa-1.3.2.2-5UNDvXl4NG5G4DpS8dC39P
    safe-exceptions-0.1.7.4-3ttcGQusRYI6sDj4rNuj32
    sorted-list-0.2.2.0-AxoavAPtuHm16DwFyUepV9
    sqlite-simple-0.4.18.2-95hOrTpxXOJ2qoJUb4Sb5W stm-2.5.0.0
    stm-containers-1.2.0.2-8QZqYKUhioP2XwYM1JbP2H
    syb-0.7.2.3-JqzSMUO0Mg375L5LIm8jI0 text-1.2.5.0
    text-rope-0.2-9gZWVJCJWpj8g7LURVVfQJ time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-3ouLkMeW8SPDe6GJ1QgXzD
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-UA49xtzCSp2PJ1xuqchgw
    vector-0.13.1.0-7cFmSXPxOYHBXGvXz6nsRQ

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

